얼리 액세스 기능

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 403 Forbidden 응답을 반환합니다. 이 오류의 type는 https://lingo.dev/docs/api/errors/feature-flag-required입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

조직 <organizationId>에서는 <flag>를 사용할 수 없습니다. 이 기능은 얼리 액세스 배포 대상 조직에만 제공됩니다. 이 기능을 요청하는 옵션을 빼거나, Lingo.dev 지원팀에 이 조직에서 <flag>를 활성화해 달라고 요청하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.

필드유형
organizationIdstring
flagstring

예시#

json
{
  "detail": "Organization <organizationId> cannot use <flag>: it is open only to organizations in its early-access rollout. Leave out the option that asks for it, or ask Lingo.dev support to enable <flag> for this organization.",
  "organizationId": "<organizationId>",
  "flag": "<flag>",
  "type": "https://lingo.dev/docs/api/errors/feature-flag-required",
  "status": 403,
  "title": "Feature in early access"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/localization/jobs